<?php
session_start();
include '../conexion.php';
$dato=null;
$empleado=null;
$fecha=null;
function extraerx($datoi){
	$posicionIgual = strpos($datoi, "=");

		if ($posicionIgual !== false) {
    		$valor = substr($datoi, $posicionIgual + 1);
		}
		return $valor;
}

function extraerArray($item){
	$returndata = array();
	$array = explode("=", $item);

			  if(array_key_exists($array[0],$returndata)){
					  $returndata[$array[0]][]=$array[1];
			  }else{
				  $returndata[$array[0]] =array();
				  //$returndata[$array[0]][]=$array[1];
			  }
		

	return $returndata;
}



$data=urldecode($_POST['data']."&");

$rep=substr_count($data,'&');
$datax=explode("&", $data);
$uniformes=null;

for($i=0;$i<2;$i++){
	if(substr_count($datax[$i],'emp')){
		$empleado=extraerx($datax[$i]);
	}else if(substr_count($datax[$i],'fecha')){
		$fecha=extraerx($datax[$i]);
	}else if(substr_count($datax[$i],'xx')){
		//$uniformes[]=extraerArray($datax[$i]);
        $uniformes=extraerx($datax[$i]);
	}
    
}

$dato.=$empleado." | ".$fecha." | ".$uniformes;
/*for($i=0;$i<count($uniformes);$i++){
    $dato.=$uniformes[$i];//echo '<script>console.log('..')</script>';
}*/

$mensaje = array(
	'r' => $dato
);
    
echo json_encode($mensaje);
